/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 *
 */

import type {
  InjectableStyle as _InjectableStyle,
  CompiledNamespaces as _CompiledNamespaces,
  MutableCompiledNamespaces as _MutableCompiledNamespaces,
  StyleXOptions as _StyleXOptions,
} from './common-types';
export type {
  RawStyles,
  StyleRule,
  TNestableStyleValue,
  TRawValue,
  TStyleValue,
} from './common-types';
import styleXCreateSet from './stylex-create';
import styleXDefineVars from './stylex-define-vars';
import styleXDefineConsts from './stylex-define-consts';
import styleXCreateTheme from './stylex-create-theme';
import stylexKeyframes from './stylex-keyframes';
import stylexPositionTry from './stylex-position-try';
import stylexFirstThatWorks from './stylex-first-that-works';
import hash from './hash';
import genFileBasedIdentifier from './utils/file-based-identifier';
import * as m from './messages';
export * as types from './types';
import {
  PSEUDO_CLASS_PRIORITIES as _PSEUDO_CLASS_PRIORITIES,
  AT_RULE_PRIORITIES as _AT_RULE_PRIORITIES,
  PSEUDO_ELEMENT_PRIORITY as _PSEUDO_ELEMENT_PRIORITY,
} from './utils/property-priorities';
export declare const create: typeof styleXCreateSet;
export declare const defineVars: typeof styleXDefineVars;
export declare const defineConsts: typeof styleXDefineConsts;
export declare const createTheme: typeof styleXCreateTheme;
export declare const keyframes: typeof stylexKeyframes;
export declare const positionTry: typeof stylexPositionTry;
export declare const utils: {
  hash: typeof hash;
  genFileBasedIdentifier: typeof genFileBasedIdentifier;
};
export declare const messages: typeof m;
export declare const firstThatWorks: typeof stylexFirstThatWorks;
export declare const PSEUDO_CLASS_PRIORITIES: typeof _PSEUDO_CLASS_PRIORITIES;
export declare const AT_RULE_PRIORITIES: typeof _AT_RULE_PRIORITIES;
export declare const PSEUDO_ELEMENT_PRIORITY: typeof _PSEUDO_ELEMENT_PRIORITY;
export type InjectableStyle = _InjectableStyle;
export type CompiledNamespaces = _CompiledNamespaces;
export type MutableCompiledNamespaces = _MutableCompiledNamespaces;
export type StyleXOptions = _StyleXOptions;
