/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 *
 */

export declare const illegalArgumentLength: (
  fn: string,
  argLength: number,
) => string;
export declare const nonStaticValue: (fn: string) => string;
export declare const nonStyleObject: (fn: string) => string;
export declare const nonExportNamedDeclaration: (fn: string) => string;
export declare const unboundCallValue: (fn: string) => string;
export declare const DUPLICATE_CONDITIONAL: 'The same pseudo selector or at-rule cannot be used more than once.';
export declare const ESCAPED_STYLEX_VALUE: 'Escaping a create() value is not allowed.';
export declare const ILLEGAL_NESTED_PSEUDO: "Pseudo objects can't be nested more than one level deep.";
export declare const ILLEGAL_PROP_VALUE: 'A style value can only contain an array, string or number.';
export declare const ILLEGAL_PROP_ARRAY_VALUE: 'A style array value can only contain strings or numbers.';
export declare const ILLEGAL_NAMESPACE_VALUE: 'A StyleX namespace must be an object.';
export declare const INVALID_CONST_KEY: 'Keys in defineConsts() cannot start with "--".';
export declare const INVALID_PSEUDO: 'Invalid pseudo selector, not on the whitelist.';
export declare const INVALID_PSEUDO_OR_AT_RULE: 'Invalid pseudo or at-rule.';
export declare const LINT_UNCLOSED_FUNCTION: 'Rule contains an unclosed function';
export declare const LOCAL_ONLY: 'The return value of create() should not be exported.';
export declare const NON_OBJECT_KEYFRAME: 'Every frame within a keyframes() call must be an object.';
export declare const NON_CONTIGUOUS_VARS: 'All variables passed to firstThatWorks() must be contiguous.';
export declare const NO_OBJECT_SPREADS: 'Object spreads are not allowed in create() calls.';
export declare const ONLY_NAMED_PARAMETERS_IN_DYNAMIC_STYLE_FUNCTIONS: 'Only named parameters are allowed in Dynamic Style functions. Destructuring, spreading or default values are not allowed.';
export declare const ONLY_TOP_LEVEL: 'create() is only allowed at the root of a program.';
export declare const UNKNOWN_PROP_KEY: 'Unknown property key';
export declare const POSITION_TRY_INVALID_PROPERTY: 'Invalid property in `positionTry()` call. It may only contain, positionAnchor, positionArea, inset properties (top, left, insetInline etc.), margin properties, size properties (height, inlineSize, etc.), and self-alignment properties (alignSelf, justifySelf, placeSelf)';
