/**
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 *
 */

import type { TStyleValue } from '../common-types';
/**
 * Shorthand properties:
 * - [x] all - Should be banned
 * - [x] animation
 * - [x] background
 * - [x] border
 * - [x] border-block-end
 * - [x] border-block-start
 * - [x] border-bottom
 * - [x] border-color
 * - [x] border-image
 * - [x] border-inline-end
 * - [x] border-inline-start
 * - [x] border-left
 * - [x] border-radius
 * - [x] border-right
 * - [x] border-style
 * - [x] border-top
 * - [x] border-width
 * - [x] column-rule
 * - [x] columns
 * - [x] container
 * - [x] flex
 * - [x] flex-flow
 * - [x] font
 * - [x] gap
 * - [x] grid
 * - [x] grid-area
 * - [x] grid-column
 * - [x] grid-row
 * - [x] grid-template
 * - [x] inset
 * - [x] inset-block
 * - [x] inset-inline
 * - [x] list-style
 * - [x] margin
 * - [x] mask
 * - [x] offset
 * - [x] outline
 * - [x] overflow
 * - [x] padding
 * - [x] place-content
 * - [x] place-items
 * - [x] place-self
 * - [x] scroll-margin
 * - [x] scroll-padding
 * - [x] text-decoration
 * - [x] text-emphasis
 * - [x] transition
 */

/**
 * Shorthand properties:
 * - [x] all - Should be banned
 * - [x] animation
 * - [x] background
 * - [x] border
 * - [x] border-block-end
 * - [x] border-block-start
 * - [x] border-bottom
 * - [x] border-color
 * - [x] border-image
 * - [x] border-inline-end
 * - [x] border-inline-start
 * - [x] border-left
 * - [x] border-radius
 * - [x] border-right
 * - [x] border-style
 * - [x] border-top
 * - [x] border-width
 * - [x] column-rule
 * - [x] columns
 * - [x] container
 * - [x] flex
 * - [x] flex-flow
 * - [x] font
 * - [x] gap
 * - [x] grid
 * - [x] grid-area
 * - [x] grid-column
 * - [x] grid-row
 * - [x] grid-template
 * - [x] inset
 * - [x] inset-block
 * - [x] inset-inline
 * - [x] list-style
 * - [x] margin
 * - [x] mask
 * - [x] offset
 * - [x] outline
 * - [x] overflow
 * - [x] padding
 * - [x] place-content
 * - [x] place-items
 * - [x] place-self
 * - [x] scroll-margin
 * - [x] scroll-padding
 * - [x] text-decoration
 * - [x] text-emphasis
 * - [x] transition
 */

type TReturn = ReadonlyArray<[string, TStyleValue]>;
declare const shorthands: Readonly<{
  [key: string]: ($$PARAM_0$$: TStyleValue) => TReturn;
}>;
declare const aliases: {
  borderHorizontal: any;
  borderVertical: any;
  borderBlockStart: any;
  borderEnd: any;
  borderBlockEnd: any;
  borderStart: any;
  blockSize: (val: TStyleValue) => TReturn;
  inlineSize: (val: TStyleValue) => TReturn;
  minBlockSize: (val: TStyleValue) => TReturn;
  minInlineSize: (val: TStyleValue) => TReturn;
  maxBlockSize: (val: TStyleValue) => TReturn;
  maxInlineSize: (val: TStyleValue) => TReturn;
  borderHorizontalWidth: any;
  borderHorizontalStyle: any;
  borderHorizontalColor: any;
  borderVerticalWidth: any;
  borderVerticalStyle: any;
  borderVerticalColor: any;
  borderBlockStartColor: (value: TStyleValue) => TReturn;
  borderBlockEndColor: (value: TStyleValue) => TReturn;
  borderBlockStartStyle: (value: TStyleValue) => TReturn;
  borderBlockEndStyle: (value: TStyleValue) => TReturn;
  borderBlockStartWidth: (value: TStyleValue) => TReturn;
  borderBlockEndWidth: (value: TStyleValue) => TReturn;
  borderStartColor: any;
  borderEndColor: any;
  borderStartStyle: any;
  borderEndStyle: any;
  borderStartWidth: any;
  borderEndWidth: any;
  borderTopStartRadius: (value: TStyleValue) => TReturn;
  borderTopEndRadius: (value: TStyleValue) => TReturn;
  borderBottomStartRadius: (value: TStyleValue) => TReturn;
  borderBottomEndRadius: (value: TStyleValue) => TReturn;
  containIntrinsicBlockSize: (value: TStyleValue) => TReturn;
  containIntrinsicInlineSize: (value: TStyleValue) => TReturn;
  gridGap: any;
  gridRowGap: (value: TStyleValue) => TReturn;
  gridColumnGap: (value: TStyleValue) => TReturn;
  marginBlockStart: (value: TStyleValue) => TReturn;
  marginBlockEnd: (value: TStyleValue) => TReturn;
  marginStart: any;
  marginEnd: any;
  marginHorizontal: any;
  marginVertical: any;
  overflowBlock: (value: TStyleValue) => TReturn;
  overflowInline: (value: TStyleValue) => TReturn;
  paddingBlockStart: (rawValue: TStyleValue) => TReturn;
  paddingBlockEnd: (rawValue: TStyleValue) => TReturn;
  paddingStart: any;
  paddingEnd: any;
  paddingHorizontal: any;
  paddingVertical: any;
  scrollMarginBlockStart: (value: TStyleValue) => TReturn;
  scrollMarginBlockEnd: (value: TStyleValue) => TReturn;
  insetBlockStart: (value: TStyleValue) => TReturn;
  insetBlockEnd: (value: TStyleValue) => TReturn;
  start: any;
  end: any;
};
declare const $$EXPORT_DEFAULT_DECLARATION$$: Readonly</**
 * > 132 |   ...typeof shorthands,
 *       |   ^^^^^^^^^^^^^^^^^^^^ Unsupported feature: Translating "object types with complex spreads" is currently not supported.
 **/
any>;
export default $$EXPORT_DEFAULT_DECLARATION$$;
